package App::Manoc::DB::ResultSet::Vlan;
#ABSTRACT: ResultSet class for Vlan

use strict;
use warnings;

our $VERSION = '2.99.4'; ##TRIAL VERSION

use parent 'App::Manoc::DB::ResultSet';


sub manoc_search {
    my ( $self, $query, $result ) = @_;

    my $type = $query->query_type;

    return unless $type eq 'inventory';

    my $pattern = $query->sql_pattern;

    my $rs = $self->search( { id => { '-like' => $pattern } }, { order_by => 'id' } );
    while ( my $e = $rs->next ) {
        my $item = App::Manoc::DB::Search::Result::Row->new( { row => $e } );
        $result->add_item($item);
    }
}


1;
# Local Variables:
# mode: cperl
# indent-tabs-mode: nil
# cperl-indent-level: 4
# cperl-indent-parens-as-block: t
# End:

__END__

=pod

=head1 NAME

App::Manoc::DB::ResultSet::Vlan - ResultSet class for Vlan

=head1 VERSION

version 2.99.4

=head1 METHODS

=head2 manoc_search(  $query, $result)

Support for Manoc search feature

=head1 SEE ALSO

L<DBIx::Class::ResultSet>

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
